/// <reference types="node" />
export interface IdentifierInstanceOptions {
    buffer?: Buffer;
    alphabet?: string;
    minLength?: number;
}
export declare class IdentifierInstance {
    buffer: Buffer;
    alphabet: string;
    minLength: number;
    constructor(opts?: IdentifierInstanceOptions);
    fromBuffer(buffer: Buffer): this;
    toBuffer(): Buffer;
    fromHex(hex: string): this;
    toHex(): string;
    fromUUID(uuid: string): this;
    toUUID(): string;
    fromString(stringInput: string, alphabet?: string): this;
    toString(minLength?: number, alphabet?: string): string;
    toString(alphabet?: string, minLength?: number): string;
    fromInt(numberInput: number): this;
    toInt(): number;
    fromBigInt(bigInt: BigInt): this;
    toBigInt(): bigint;
    generateObjectId(): this;
    generateBigInt(): this;
    generateUUID(version?: 1 | 4): this;
}
export declare function Identifier(opts?: IdentifierInstanceOptions): IdentifierInstance;
